import * as _nuxt_schema from '@nuxt/schema';
import { Composables, Directives, BootstrapVueOptions } from 'bootstrap-vue-next';

type ConfigurationOption<T extends string> = Partial<Record<T, boolean>> & {
    all: boolean;
};
type ConfigurationValue<T extends string> = boolean | ConfigurationOption<T>;
interface ModuleOptions {
    /**
     * There would be no reason to disable this, beyond conflicting auto imports. This should probably be left true
     *
     * @default true
     */
    composables: ConfigurationValue<keyof typeof Composables>;
    /**
     * There would be no reason to disable this, beyond conflicting auto imports. This should probably be left true
     *
     * @default true
     */
    directives: ConfigurationValue<keyof typeof Directives>;
    /**
     * Manages the inclusion of the module's CSS. It is recommended to leave this enabled unless there are conflicts with other styles.
     *
     * @default true
     */
    css: boolean;
    /**
     * @default {}
     */
    plugin: Omit<Exclude<BootstrapVueOptions, undefined>, 'id'>;
}

declare const _default: _nuxt_schema.NuxtModule<ModuleOptions, ModuleOptions, false>;

export { _default as default };
